@echo off

copy 01.t 01 >nul
copy 02.t 02 >nul
copy 03.t 03 >nul
copy 04.t 04 >nul
copy 05.t 05 >nul
copy 06.t 06 >nul

dcc32 -cc gen_line.dpr
dcc32 -cc gen_star.dpr

gen_line 10 > 07
gen_line 100000 > 08
gen_line 34829 > 09

gen_star 10 > 10
gen_star 100000 > 11
gen_star 34829 > 12


javac Generator.java
java Generator 346278 21 13

cd ..
dcc32 -cc check.dpr
cd tests

call tall ft_assert
call docheck ft
call docheck ft_assert


